com.pdfunit.filter.page

## Class EveryPage

- java.lang.Object
- - com.pdfunit.filter.page.PagesToUse
  - - com.pdfunit.filter.page.EveryPage

- Direct Known Subclasses:
    AnyPage

      @DoNotObfuscate
      public class EveryPage
      extends PagesToUse

  This class collects every page of a PDF document.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EveryPage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PagesToUse` | `after(int lowestPageExclusive)` This method creates all pages of a document which are higher than the given pagenumber.
    `PagesToUse` | `before(int highestPageExcluded)` This method creates all pages of a document which are lower than the given pagenumber.
    `static EveryPage` | `getInstance()` Creating an instance providing pagenumbers for every page of a PDF document.
    `com.pdfunit.internal.util.PageNumberList` | `getPageNumbersInEffect(com.pdfunit.internal.spi.IDocument document)` This method does what the name suggests.

    - ### Methods inherited from class com.pdfunit.filter.page.PagesToUse

      `getPage, getPages, spanningFrom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EveryPage

          protected EveryPage()

  - ### Method Detail

    - #### getInstance

          public static EveryPage getInstance()

      Creating an instance providing pagenumbers for every page of a PDF document.

    - #### after

          public PagesToUse after(int lowestPageExclusive)

      This method creates all pages of a document which are higher than the given pagenumber.

    - #### before

          public PagesToUse before(int highestPageExcluded)

      This method creates all pages of a document which are lower than the given pagenumber.

    - #### getPageNumbersInEffect

          public com.pdfunit.internal.util.PageNumberList getPageNumbersInEffect(com.pdfunit.internal.spi.IDocument document)

      This method does what the name suggests.
      Specified by:
        `getPageNumbersInEffect` in class `PagesToUse`

Copyright (C) PDFUnit.com. See here for license.